<?php
/* ------------------------------------------------------------------------ *
 * Seja Framework Version 3.0
 *
 * 3.5 - Weather
 * ------------------------------------------------------------------------ */

function seja_weather_json_location_callback($args) { 
    
	$this_option = get_option('seja_weather_json_location');
	
	$json_list = array ( 'Adelaide SA', 'Albany WA', 'Albury VIC', 'Alice Springs NT', 'Ballarat VIC', 'Bendigo VIC', 'Brisbane QLD', 'Broome WA', 'Bunbury WA', 'Cairns QLD', 'Canberra ACT', 'Ceduna SA', 'Coolangatta NSW', 'Darwin NT', 'Esperance WA', 'Essendon VIC', 'Geelong VIC', 'Gold Coast QLD', 'Hobart TAS', 'Kalgoorlie-Boulder WA', 'Launceston TAS', 'Melbourne VIC', 'Mildura VIC', 'Mount Isa QLD', 'Newcastle NSW', 'Parramatta NSW', 'Penrith NSW', 'Perth WA', 'Sydney NSW', 'Tamworth NSW', 'Townsville QLD', 'Wagga Wagga NSW', 'York WA' );
			 
    ?><select name="seja_weather_json_location" class="seja-select"><?php
	foreach ( $json_list as $j_list ) {
		if ( $this_option == $j_list ) :
			echo '<option value="' . $j_list . '" selected="selected">' . $j_list . '</option>';
		else : 
			echo '<option value="' . $j_list . '">' . $j_list . '</option>';
		endif;
	}
	?></select><?php

}

function seja_weather_json_apparent_callback($args) {
	
	$this_option = get_option('seja_weather_json_apparent');
	 
    ?><input type="checkbox" id="seja_weather_json_apparent" name="seja_weather_json_apparent" value="1"<?php echo checked(1, $this_option, false) ?> class="seja-checkbox">
    <label for="seja_weather_json_apparent"></label><?php echo $args[0] ?>
    <?php
}

function seja_weather_json_graph_callback($args) {
	
    $this_option = get_option('seja_weather_json_graph');
	
    echo 'future development';
	/*<input type="checkbox" id="seja_weather_json_graph" name="seja_weather_json_graph" value="1"<?php echo checked(1, $this_option, false) ?> class="seja-checkbox">
    <label for="seja_weather_json_graph"></label><?php echo $args[0] ?>
	<?php*/
	
}

function seja_weather_debug_callback($args) { 
	
	if ( SEJA_DEBUG_MODE == '1'):
	
			?>
            <h3>TESTING VARIABLES - disable by setting debug to zero in definitions</h3>
			<p>SEJA_WEATHER_JSON_LOCATION <strong>: <?php echo SEJA_WEATHER_JSON_LOCATION ?></strong><br>
    		SEJA_WEATHER_JSON_APPARENT <strong>: <?php echo SEJA_WEATHER_JSON_APPARENT ?></strong><br>
			SEJA_WEATHER_JSON_GRAPH <strong>: <?php echo SEJA_WEATHER_JSON_GRAPH ?></strong></p>
			
			<?php
	
	endif;

}

?>